Subject: bug#30674: 27.0.50; flymake-mode should set next-error-function and (probably) next-error-last-buffer

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Mar 2018 03:15:26 +0200

X-Debbugs-CC: [email-masked]
X-Debbugs-CC: [email-masked]

Considering the names and docstrings of next-error and previous-error, I
think it's quite reasonable to expect to be able to navigate the Flymake
diagnostics with them.

João, was there a particular reason you decided against it? Can we
improve next-error somehow, for this to become more appealing?

Juri, any thoughts? The foremost apparent difficulty is that virtually
any file-editing buffer can become a next-error capable buffer. Would
opening a new file interactively (with flymake-mode being turned on)
automatically change next-error-last-buffer? Would it change after
save-buffer (after which diagnostics are normally refreshed)?